DSU_ADDR_Type Union Reference

## Data Fields

struct {
uint32_t AMOD:2
uint32_t ADDR:30
} | bit
uint32_t | reg

## Detailed Description

Definition at line 149 of file dsu.h.

## Field Documentation

## ADDR

uint32_t DSU_ADDR_Type::ADDR

bit: 2..31 Address

Definition at line 152 of file dsu.h.

## AMOD

uint32_t DSU_ADDR_Type::AMOD

bit: 0.. 1 Access Mode

Definition at line 151 of file dsu.h.

## bit

struct { ... } DSU_ADDR_Type::bit

Structure used for bit access

## reg

uint32_t DSU_ADDR_Type::reg

Type used for register access

Definition at line 154 of file dsu.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/dsu.h